package cn.yw.nhyw.nhywjtbxgl.service;

 import cn.yw.nhyw.nhywjtbxgl.dao.NhywjtbxglDao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;

@Service("nhywjtbxglService")
public class NhywjtbxglService extends BaseService {
	
	private static Log log = LogFactory.getLog(NhywjtbxglService.class);
	
	@Autowired
	private NhywjtbxglDao nhywjtbxglDao;
	
	/**
	 * 保存记录
	 */
	public void insert_Nhywjtbxgl(Map map) throws SQLException{
		CommUtils.addParams(map, false);
		nhywjtbxglDao.insert_Nhywjtbxgl(map);
	}

	
	/**
	 * 修改记录
	 */
	public Integer update_Nhywjtbxgl(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return nhywjtbxglDao.update_Nhywjtbxgl(map);
	}

	/**
	 * 修改经纬度
	 */
	public Integer updateJtbxJdWdByXh(Map map) throws SQLException{
		CommUtils.addParams(map, true);
		return nhywjtbxglDao.updateJtbxJdWdByXh(map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywjtbxgl(Map map) throws SQLException{
		CommUtils.validateDeleteParams(map);
		return nhywjtbxglDao.delete_Nhywjtbxgl(map);
	}
	
	/**
	 * 批处理删除记录
	 */
	/*
	public Integer batch_delete_Nhywjtbxgl(Map map) throws SQLException{
		return nhywjtbxglDao.batch_delete_Nhywjtbxgl(map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	/*
	public Integer count_Nhywjtbxgl(Map map) throws SQLException{
		return nhywjtbxglDao.count_Nhywjtbxgl(map);
	}
	*/
	
	/**
	 * 查询列表记录SELECT
	 */
	public List<Map> query_Nhywjtbxgl(Map map) throws SQLException{
		return nhywjtbxglDao.query_Nhywjtbxgl(map);
	}

	/**
	 * 查询所有记录
	 */
	public List<Map> query_AllNhywjtbxgl(Map map) throws SQLException{
		return nhywjtbxglDao.query_AllNhywjtbxgl(map);
	}
	
	/**
	 * 查询一条
	 */
	public Map get_Nhywjtbxgl(Map map) throws SQLException{
		return nhywjtbxglDao.get_Nhywjtbxgl(map);
	}
	
	/**
	 * 导出EXCEL
	 */
	 
	/*
	public Map exportNhywjtbxgl(Map map) throws SQLException{
		return this.listNhywjtbxglByPage(map);
	}
	*/
	
	/**
	 * Nhywjtbxgl 分页
	 */
	public Map listNhywjtbxglByPage(Map map) throws SQLException {
		List<Map> list = nhywjtbxglDao.query_Nhywjtbxgl(map);
		Integer totalCount = nhywjtbxglDao.count_Nhywjtbxgl(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
}
